Get a target's control groups
Retrieves a list of control groups applied to the specified target.
Query Parameters
- Type: string ·target
_id min length:30max length:30Pattern: ^(crd|cpr)_[a-z0-9]{26}$requiredThe ID of the card or control profile.
Responses
- application/json
- 401
Unauthorized
- 404
Target not found
- application/json
- 500
Internal Server Error
Request Example for get/issuing/controls/control-groups
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/controls/control-groups?target_id=crd_fa6psq42dcdd6fdn5gifcq1491' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"control_groups": [
{
"id": "cgr_oemoyd3otivelkhf4zcnimwdva",
"description": "Block grocery shopping except Walmart",
"target_id": "crd_dba7tjsh7utufgid7yety4gnxq",
"fail_if": "all_fail",
"controls": [
{
"mcc_limit": {
"type": "block",
"mcc_list": [
"5422"
]
},
"description": "Block the card being used for groceries",
"control_type": "mcc_limit"
},
{
"mid_limit": {
"type": "allow",
"mid_list": [
"1234"
]
},
"description": "Allow the card to be used at Walmart",
"control_type": "mid_limit"
}
],
"is_editable": true,
"created_date": "2023-12-06T14:01:31.7155085Z",
"last_modified_date": "2023-12-06T14:01:31.7155085Z"
},
{
"id": "cgr_xvrszbgkaifuflnslzkt2uimkm",
"description": "Allow restaurants except McDonalds",
"target_id": "crd_dba7tjsh7utufgid7yety4gnxq",
"fail_if": "all_fail",
"controls": [
{
"mcc_limit": {
"type": "allow",
"mcc_list": [
"6789"
]
},
"description": "Allow the card being used for restaurants",
"control_type": "mcc_limit"
},
{
"mid_limit": {
"type": "block",
"mid_list": [
"9876"
]
},
"description": "Block the card to be used at McDonalds",
"control_type": "mid_limit"
}
],
"is_editable": true,
"created_date": "2023-12-06T14:01:31.7155085Z",
"last_modified_date": "2023-12-06T14:01:31.7155085Z"
}
]
}